Attribute VB_Name = "GlobalsGame"
'Globals for the game
Public GameRunning              As Boolean 'is the game running?
Public GameVersion              As String 'the game version
Public TeamChosen               As Integer '0-red, 1-blue, 2-green, 3-yellow
Public Info2Player(0 To 3)      As String '0 is the the string we have to add, 1 2 and 3 are shown on screen

'Day Time
Public DayTime                  As Integer '24 hour clock
Public Ticker                   As Long 'Last recorded TV.ElapsedTime
Public Sun                      As Integer 'Sun light ID

'Menu
Public MenuVisible              As Boolean 'is the menu open or closed?
Public MenuTransparency         As Single 'the menu transparency
Public RollOnTexture            As Integer 'what image is selected?
Public MenuImage(0 To 50)       As Boolean 'help for selecting image

'Camera
Public CamPosX                  As Single 'camera position
Public CamPosY                  As Single 'camera position
Public CamPosZ                  As Single 'camera position
Public CamLookX                 As Single 'camera look at
Public CamLookY                 As Single 'camera look at
Public CamLookZ                 As Single 'camera look at
Public CamSmoothX               As Single 'camera smoothing movement
Public CamSmoothY               As Single 'camera smoothing movement
Public CamSmoothZ               As Single 'camera smoothing movement

'Cam saveing position with f1-f4
Public CamSavePosX(0 To 3)      As Single
Public CamSavePosY(0 To 3)      As Single
Public CamSavePosZ(0 To 3)      As Single
Public CamSaveLookX(0 To 3)     As Single
Public CamSaveLookY(0 To 3)     As Single
Public CamSaveLookZ(0 To 3)     As Single

'Smoothing of cam movements
Public CamMouseSmooth           As Single
Public CamSmooth                As Single

'Speed of mouse and keyboard movements
Public CamSpdKeyboard           As Integer
Public CamSpdMouse              As Integer
Public CamSmoothKey             As Single
Public CamSmoothMouse           As Single

'Coordinates of cam
Public CamMaxHeight             As Single

'Info for Mouse
Public Mx                       As Long
Public My                       As Long
Public b1                       As Integer
Public b2                       As Integer
Public ScrWidth                 As Single
Public ScrHeight                As Single
Public ScrWidthTmp              As Long
Public ScrHeightTmp             As Long

'Info on selected tank
Public TankTypeSelected         As Integer '0 for Mammoth, 1 for mosquito
Public MammothSelected          As Integer
Public MosquitoSelected         As Integer

'Mammoth Tanks (0 to 99)
Public Mammoth(0 To 99)                 As Actor8
Public MammothPosX(0 To 99)             As Single
Public MammothPosY(0 To 99)             As Single
Public MammothPosZ(0 To 99)             As Single
Public MammothDestination(0 To 99)      As D3DVECTOR
Public MammothDirection(0 To 99)        As D3DVECTOR
Public MammothAngle(0 To 99)            As Single
Public MammothTempAngle(0 To 99)        As Single
Public MammothMove(0 To 99)             As Boolean
Public MammothSpeed(0 To 99)            As Single
Public QtyMammoth                       As Integer

'Mosquito Tanks (0 to 99)
Public Mosquito(0 To 99)                As Actor8
Public MosquitoPosX(0 To 99)            As Single
Public MosquitoPosY(0 To 99)            As Single
Public MosquitoPosZ(0 To 99)            As Single
Public MosquitoDestination(0 To 99)     As D3DVECTOR
Public MosquitoDirection(0 To 99)       As D3DVECTOR
Public MosquitoAngle(0 To 99)           As Single
Public MosquitoTempAngle(0 To 99)       As Single
Public MosquitoMove(0 To 99)            As Boolean
Public MosquitoSpeed(0 To 99)           As Single
Public QtyMosquito                      As Integer

'Silo Building
Public Silo(0 To 99)                    As Mesh8
Public QtySilo                          As Integer
Public SiloPosX(0 To 99)                As Single
Public SiloPosY(0 To 99)                As Single
Public SiloPosZ(0 To 99)                As Single
Public PlaceTheSilo                     As Boolean
Public SiloAngle(0 To 99)               As Single
Public SiloDestination(0 To 99)         As D3DVECTOR

'Environnement
Public Materials(0 To 99)               As Mesh8
Public QtyMaterials                     As Integer
